/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_ChannelOptions_H_
#define	_ChannelOptions_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NULL.h>
#include <constr_SEQUENCE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Forward declarations */
struct ServiceInfoExts;

/* ChannelOptions */
typedef struct ChannelOptions {
	NULL_t	*reserved1	/* OPTIONAL */;
	NULL_t	*reserved2	/* OPTIONAL */;
	struct ServiceInfoExts	*extensions	/* OPTIONAL */;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} ChannelOptions_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_ChannelOptions;

#ifdef __cplusplus
}
#endif

/* Referred external types */
#include "ServiceInfoExts.h"

#endif	/* _ChannelOptions_H_ */
#include <asn_internal.h>
